Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Koordinaten-Lips

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Koordinaten-Lips (802 mal gelesen)
sero
Mitglied
Landschaftsarchitekt


Sehen Sie sich das Profil von sero an!   Senden Sie eine Private Message an sero  Schreiben Sie einen Gästebucheintrag für sero

Beiträge: 222
Registriert: 20.07.2002

Win 7 Prof., AutoCad 2018 voll

erstellt am: 02. Apr. 2014 12:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich benutze folgendes Lisp zur Koordinatenbemaßung.

(defun C:enm (/ OLDSNAP OLDORTHO PNT1  XCOORD YCOORD Cancel)   
  (setq OLDSNAP (getvar "OSMODE"))
  (setq OLDORTHO (getvar "ORTHOMODE"))
  (setvar "ORTHOMODE"  1)
  (setvar "OSMODE" 96)   
  (prompt "NOTE!!! Eastings & Northings (scaled in m!!!) Coords. & leader drawn per current dimstyle; precision per UNITS... ")
  (initget 1)
  (if(setq PNT1 (getpoint  "\nPick coordinate point: "))
    (progn       
      (setq XCOORD (strcat (rtos (/ (car  PNT1) 1.0) 2 2)"") )
      (setq YCOORD (strcat (rtos (/ (cadr PNT1) 1.0) 2 2)"") )
      (command ".leader" PNT1)
      (while (not Cancel)
        (princ "\nnext Point <End>: ")
        (command pause)
        (if(equal PKT (getvar "LASTPOINT"))
          (setq Cancel 'T)
          (setq PKT (getvar "LASTPOINT"))
        )
      )
      (command "" "_M" XCOORD YCOORD "")
    )
  ) 
  (setvar "OSMODE" OLDSNAP)
  (setvar "ORTHOMODE" OLDORTHO) 
  (princ)
)

Eine Sache stört aber: beim Wiederholen des Befehls stellt sich der Objektfang imer wieder auf Basispunkt und fängt eigenmächtig diesen Punkt. Bei Bemaßung einer X-Ref sehr nervig. Ich muss dann in jedem aktuellem Befehl den Basispunkt deaktivieren. Kann man das irgenwie umstellen bzw. abstellen.
Bin der Lisp-Sprache leider nicht so mächtig. Hoffe auf nette Helfer.

Dank vorab und Grüße
Sero

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 02. Apr. 2014 12:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für sero 10 Unities + Antwort hilfreich

Drücke mal F1 und schau die Systemvariable OSMODE an

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 02. Apr. 2014 13:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für sero 10 Unities + Antwort hilfreich

... oder setze vor die Zeile

(setvar "OSMODE" 96)  einfach ein  ;

Dann bleibt der Objektfang wie aktuell eingestellt.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

sero
Mitglied
Landschaftsarchitekt


Sehen Sie sich das Profil von sero an!   Senden Sie eine Private Message an sero  Schreiben Sie einen Gästebucheintrag für sero

Beiträge: 222
Registriert: 20.07.2002

Win 7 Prof., AutoCad 2018 voll

erstellt am: 02. Apr. 2014 14:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank, es funktioniert.

Grüße,
Sero

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz